Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001460OCaml~DO NOT USE (was: OCaml general)public2002-10-26 15:472016-12-06 21:25
Reporteradministrator 
Assigned Toshinwell 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001460: Enrichir Array
DescriptionBonjour,

le module Array semble un peu pauvre par rapport à List; plusieurs
fonctions mériteraient peut-être d'y être importées:

for_all
mem,memq,find,exists,... (avec deux variantes pour préciser le sens de la recherche ?)
rev
iter2, map2, fold_left2, ...
assoc, ...
combine


(en l'occurence, j'ai eu besoin de for_all)

-- Alain

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016659)
shinwell (developer)
2016-12-06 21:25

I think sufficiently many of these have been implemented that this issue can be closed.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2016-12-06 21:25 shinwell Note Added: 0016659
2016-12-06 21:25 shinwell Status acknowledged => resolved
2016-12-06 21:25 shinwell Resolution open => fixed
2016-12-06 21:25 shinwell Assigned To => shinwell
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker